Subject: RE: admin dist/gp spec proposal

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Fri, 6 Sep 2002 11:39:02 -0400

> 
> > Natale, Jonathan <[email-masked]> [Fri, Sep 06, 
> 2002 at 10:53:40AM -0400]:
> >Add sect. in bgp draft stating that ebgp routes should be 
> preferred over any
> >igp routes and any igp routes should be preferred over ibgp 
> routes.  The
> >exception to this is igp summary routes may be preferred 
> over ebgp routes.
> 
> The EBGP vs. IBGP is already covered in section 9.1.2.2.  As to how
> BGP and non-BGP routes interact, I suspect that that really 
> should remain
> largely a local policy matter.  A BCP is probably in order (does one
> on this topic already exist?)
>
Clearly the BGP and non-BGP route competition for dominance in the routing
table is firstly, defaulted and secondly policy over-written by a local
router administrator.  Just some mention of operational impact by turning 
some policy knobs and changing certain route selection decisions and their 
control plane impacts will be nice. Maybe this belongs in a different spec.

I find spreading the knowledge across many specs a bit inconvenient.

IMHO,
Ben

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 6 Sep 2002 11:48:02 -0400

> I find spreading the knowledge across many specs a bit inconvenient.

: 9.4 Originating BGP routes
: 
:    A BGP speaker may originate BGP routes by injecting routing
:    information acquired by some other means (e.g. via an IGP) into BGP.
:    A BGP speaker that originates BGP routes shall assign the degree of
:    preference to these routes by passing them through the Decision
:    Process (see Section 9.1). These routes may also be distributed to
:    other BGP speakers within the local AS as part of the update process
:    (see Section 9.2). The decision whether to distribute non-BGP
:    acquired routes within an AS via BGP or not depends on the
:    environment within the AS (e.g. type of IGP) and should be controlled
:    via configuration.

-- 
Jeff Haas 
NextHop Technologies